package xyz.veronie.bgg.ui.dialogs;

import org.eclipse.jface.dialogs.Dialog;
import org.eclipse.jface.dialogs.IDialogConstants;
import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.wb.swt.SWTResourceManager;

import xyz.veronie.bgg.ui.helpers.BatColors;

public class LoadGameListDialog extends Dialog {
	private Button btnOk;

	private String selectedName;

	/**
	 * Create the dialog.
	 * @param parentShell
	 */
	public LoadGameListDialog(Shell parentShell) {
		super(parentShell);
		setShellStyle(SWT.APPLICATION_MODAL);
	}

	/**
	 * Create contents of the dialog.
	 * @param parent
	 */
	@Override
	protected Control createDialogArea(Composite parent) {
		parent.setBackground(BatColors.getBackgroundColor());
		Composite container = (Composite) super.createDialogArea(parent);
		container.setFont(SWTResourceManager.getFont("Segoe UI", 11, SWT.NORMAL));
		container.setBackground(BatColors.getBackgroundColor());
		GridLayout gl_container = new GridLayout(1, false);
		gl_container.verticalSpacing = 24;
		gl_container.marginWidth = 24;
		gl_container.marginTop = 24;
		gl_container.marginRight = 24;
		gl_container.marginLeft = 24;
		gl_container.marginHeight = 24;
		gl_container.marginBottom = 24;
		gl_container.horizontalSpacing = 24;
		container.setLayout(gl_container);
		
		Label lblEnterAName = new Label(container, SWT.NONE);
		lblEnterAName.setFont(SWTResourceManager.getFont("Segoe UI", 11, SWT.NORMAL));
		lblEnterAName.setText("Select a game list:");
		

//		textField.setFont(SWTResourceManager.getFont("Segoe UI", 11, SWT.NORMAL));
//		textField.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false, 1, 1));

		return container;
	}

	/**
	 * Create contents of the button bar.
	 * @param parent
	 */
	@Override
	protected void createButtonsForButtonBar(Composite parent) {
		parent.setBackground(BatColors.getBackgroundColor());
		
		btnOk = createButton(parent, IDialogConstants.OK_ID, IDialogConstants.OK_LABEL, true);
		btnOk.setEnabled(false);
		
		createButton(parent, IDialogConstants.CANCEL_ID, IDialogConstants.CANCEL_LABEL, false);
	}

	/**
	 * Return the initial size of the dialog.
	 */
	@Override
	protected Point getInitialSize() {
		return new Point(450, 300);
	}

	public String getSelectedName() {
		return selectedName;
	}
    
}
