 
package xyz.veronie.bgg.ui.handlers;

import javax.inject.Inject;

import org.eclipse.e4.core.di.annotations.CanExecute;
import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.core.services.events.IEventBroker;
import org.eclipse.jface.dialogs.Dialog;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.MessageBox;
import org.eclipse.swt.widgets.Shell;

import xyz.veronie.bgg.result.ThingProvider;
import xyz.veronie.bgg.types.EventConstants;
import xyz.veronie.bgg.ui.dialogs.LoadGameListDialog;

public class HandleLoadGamelist {
	
	@Inject
	ThingProvider thingProvider;
	
	@Execute
	public void execute(Shell shell, IEventBroker eventBroker) {
		
		LoadGameListDialog loadDialog = new LoadGameListDialog(shell);
		loadDialog.open();
		
		int returnCode = loadDialog.getReturnCode();
		if(returnCode == Dialog.OK) {
			String name = loadDialog.getSelectedName();
			try {
				thingProvider.loadList(name);
				eventBroker.post(EventConstants.TOPIC_THINGS_LOADED, name);
			}
			catch (Exception e) {
				MessageBox msgBox = new MessageBox(shell, SWT.ICON_ERROR | SWT.OK);
				msgBox.setMessage("Could not load game list.");
				msgBox.open();
				e.printStackTrace();
			}
		}
	}
	
	
	@CanExecute
	public boolean canExecute() {
		return thingProvider != null;
	}
		
}